stages:
  - test
  - deploy

test:
  stage: test
  interruptible: true
  tags:
    - KM-Medias
  image: axelterizaki/karaokemugen-ci:node-16-phppg
  services:
    - postgres:13
  variables:
    POSTGRES_USER: karaokemugen_app
    POSTGRES_PASSWORD: musubi
  script:
    - git clone https://gitlab.com/karaokemugen/karaokemugen-app.git
    - cd karaokemugen-app
    - git checkout next
    - yarn pull
    - yarn install
    - touch mpv
    - mkdir app
    - cp -f ../tools/config.CICD.yml app/config.yml
    - yarn ts-node util/extUnaccent
    - node -v
    - export DISPLAY=':99.0'
    - Xvfb :99 -screen 0 1920x1080x24 > /dev/null 2>&1 &
    - yarn startHeadless --cli --debug --validate --strict
  only:
    - master

export:
  stage: deploy
  image: curlimages/curl:latest
  interruptible: true
  script:
    - echo "Triggering KM Server generation"
    - "curl -f -X POST -H authorization:$KMSERVERWORLDAUTH https://world.karaokes.moe/api/update"
  only:
    - master
